Index: calculatorview/src/sans/perspectives/calculator/data_operator.py
===================================================================
--- calculatorview/src/sans/perspectives/calculator/data_operator.py	(revision 62af27a957973987c9c4bd4d2938105b8bef0d46)
+++ calculatorview/src/sans/perspectives/calculator/data_operator.py	(revision f234d3c1c7c59f01b1454c858c32f52f0aff5fe1)
@@ -942,5 +942,5 @@
         self.panel = DataOperPanel(parent=self)
         wx.EVT_CLOSE(self, self.OnClose)
-        self.SetPosition((25, 100))
+        self.SetPosition((25, 150))
         self.Show()
     
Index: calculatorview/src/sans/perspectives/calculator/density_panel.py
===================================================================
--- calculatorview/src/sans/perspectives/calculator/density_panel.py	(revision 62af27a957973987c9c4bd4d2938105b8bef0d46)
+++ calculatorview/src/sans/perspectives/calculator/density_panel.py	(revision f234d3c1c7c59f01b1454c858c32f52f0aff5fe1)
@@ -388,5 +388,5 @@
         self.panel = DensityPanel(self, base=base)
         self.Bind(wx.EVT_CLOSE, self.on_close)
-        self.SetPosition((25, 100))
+        self.SetPosition((25, 160))
         self.Show(True)
     
Index: calculatorview/src/sans/perspectives/calculator/gen_scatter_panel.py
===================================================================
--- calculatorview/src/sans/perspectives/calculator/gen_scatter_panel.py	(revision 62af27a957973987c9c4bd4d2938105b8bef0d46)
+++ calculatorview/src/sans/perspectives/calculator/gen_scatter_panel.py	(revision f234d3c1c7c59f01b1454c858c32f52f0aff5fe1)
@@ -1830,5 +1830,5 @@
         
         self.build_panels()
-        self.SetPosition((25, 100))
+        self.SetPosition((25, 150))
         self.Show(True)
     
Index: calculatorview/src/sans/perspectives/calculator/kiessig_calculator_panel.py
===================================================================
--- calculatorview/src/sans/perspectives/calculator/kiessig_calculator_panel.py	(revision 62af27a957973987c9c4bd4d2938105b8bef0d46)
+++ calculatorview/src/sans/perspectives/calculator/kiessig_calculator_panel.py	(revision f234d3c1c7c59f01b1454c858c32f52f0aff5fe1)
@@ -202,5 +202,5 @@
         self.panel = KiessigThicknessCalculatorPanel(parent=self)
         self.Bind(wx.EVT_CLOSE, self.on_close)
-        self.SetPosition((25, 100))
+        self.SetPosition((25, 160))
         self.Show(True)
         
Index: calculatorview/src/sans/perspectives/calculator/resolution_calculator_panel.py
===================================================================
--- calculatorview/src/sans/perspectives/calculator/resolution_calculator_panel.py	(revision 62af27a957973987c9c4bd4d2938105b8bef0d46)
+++ calculatorview/src/sans/perspectives/calculator/resolution_calculator_panel.py	(revision f234d3c1c7c59f01b1454c858c32f52f0aff5fe1)
@@ -1413,5 +1413,5 @@
         self.panel = ResolutionCalculatorPanel(parent=self)
         self.Bind(wx.EVT_CLOSE, self.OnClose)
-        self.SetPosition((25, 100))
+        self.SetPosition((25, 150))
         self.Show(True)
     
Index: calculatorview/src/sans/perspectives/calculator/sld_panel.py
===================================================================
--- calculatorview/src/sans/perspectives/calculator/sld_panel.py	(revision 62af27a957973987c9c4bd4d2938105b8bef0d46)
+++ calculatorview/src/sans/perspectives/calculator/sld_panel.py	(revision f234d3c1c7c59f01b1454c858c32f52f0aff5fe1)
@@ -456,5 +456,5 @@
         self.panel = SldPanel(self, base=base)
         self.Bind(wx.EVT_CLOSE, self.on_close)
-        self.SetPosition((25, 100))
+        self.SetPosition((25, 150))
         self.Show(True)
     
Index: calculatorview/src/sans/perspectives/calculator/slit_length_calculator_panel.py
===================================================================
--- calculatorview/src/sans/perspectives/calculator/slit_length_calculator_panel.py	(revision 62af27a957973987c9c4bd4d2938105b8bef0d46)
+++ calculatorview/src/sans/perspectives/calculator/slit_length_calculator_panel.py	(revision f234d3c1c7c59f01b1454c858c32f52f0aff5fe1)
@@ -266,5 +266,5 @@
         self.panel = SlitLengthCalculatorPanel(parent=self)
         self.Bind(wx.EVT_CLOSE, self.on_close)
-        self.SetPosition((25, 100))
+        self.SetPosition((25, 150))
         self.Show(True)
 
Index: sansguiframe/src/sans/guiframe/gui_manager.py
===================================================================
--- sansguiframe/src/sans/guiframe/gui_manager.py	(revision 0d5768dde7015f899002a93e422c5f8a435069dd)
+++ sansguiframe/src/sans/guiframe/gui_manager.py	(revision f234d3c1c7c59f01b1454c858c32f52f0aff5fe1)
@@ -1051,5 +1051,6 @@
                 win_height = mac_pos_y + 55
             self.SetSize((self._window_width, win_height))
-            self.SetMaxSize((-1, win_height))
+            max_height = mac_pos_y + 70
+            self.SetMaxSize((-1, max_height))
         
     def update_data(self, prev_data, new_data):
